=== debian/changelog ===
ncbi-vdb (3.0.9+dfsg-2) unstable; urgency=medium

  * Upload to unstable to join Mbed TLS 3.x.  (Closes: #1075868.)
  * debian/salsa-ci.yml: Comment out aptly setup, no longer needed.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 17 Oct 2024 22:35:54 -0400

ncbi-vdb (3.0.9+dfsg-1) experimental; urgency=medium

  [ Andreas Tille ]
  * New upstream version

  [ Aaron M. Ucko ]
  * debian/control: Version libmbedtls-dev B-D to (>= 3), so far available
    only in experimental, to match recent versions' usage.
  * debian/patches/system_mbedtls_3.patch (new): Reinstate test for system
    mbed TLS, tweaking it to accept (and moreover require) 3.x.
  * debian/salsa-ci.yml: Reenable aptly per the need to target
    experimental again for now.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 11 Apr 2024 17:40:20 -0400
