=== debian/control ===
Source: ncbi-vdb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Aaron M. Ucko <ucko@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs (>= 0.104)
Build-Depends-Arch: cmake,
                    libbz2-dev,
                    libxml2-dev,
                    libmagic-dev,
                    libmbedtls-dev (>= 3),
                    zlib1g-dev,
                    libzstd-dev,
                    flex,
                    bison,
                    python3,
                    doxygen,
                    graphviz,
                    chrpath
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-vdb
Vcs-Git: https://salsa.debian.org/med-team/ncbi-vdb.git
Homepage: https://github.com/ncbi/ncbi-vdb
Rules-Requires-Root: no

Package: libncbi-vdb3
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ncbi-vdb-data (>= ${source:Version})
Breaks: sra-toolkit (<< 2.11~)
Description: libraries for using data in the INSDC Sequence Read Archives
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This package contains a runtime library for reading VDB data.

Package: libncbi-vdb-dev
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libncbi-vdb3 (= ${binary:Version}),
         libncbi-wvdb-dev (= ${binary:Version}),
         libaec-dev,
         libbz2-dev,
         libzstd-dev,
         zlib1g-dev
Description: libraries for using data in the INSDC Sequence Read Archives (devel)
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This is the development package for reading VDB data.

Package: ncbi-vdb-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Breaks: libncbi-vdb2 (<< 2.11.2+dfsg-5~)
Replaces: libncbi-vdb2 (<< 2.11.2+dfsg-5~)
Description: schemata and defaults for the INSDC Sequence Read Archives
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This package contains VDB schemata for SRA data and default
 configuration files for VDB libraries.

Package: libncbi-wvdb3
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ncbi-vdb-data (>= ${source:Version})
Description: virtual layer update module of ncbi-vdb library
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This package contains a runtime library for updating VDB data.

Package: libncbi-wvdb-dev
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libncbi-wvdb3 (= ${binary:Version})
Description: virtual layer update module of ncbi-vdb library (devel)
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This package contains development files for updating VDB data.

Package: libsam-extract3
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: SAM extraction module of ncbi-vdb library
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This library is part of the ncbi-vdb package and provides an interface
 for extracting Sequence/Alignment Map (SAM) files.

Package: libsam-extract-dev
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsam-extract3 (= ${binary:Version})
Description: SAM extraction module of ncbi-vdb library (devel)
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This library is part of the ncbi-vdb package and provides development
 files for extracting Sequence/Alignment Map (SAM) files.
